Releases

Back CVE-2022-42131 DDMRESTDataProvider vulnerable to man-in-the-middle attack

Description

The Dynamic Data Mapping module in Liferay Portal 7.1.0 through 7.4.2 does not validate HTTPS certificates used with DDMRESTDataProvider, which allows man-in-the-middle attackers to impersonate, intercept and/or modify traffic from REST data providers.

Severity

4.2 (CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:N)

Affected Version(s)

  • Liferay Portal 7.1.0 - 7.1.3
  • Liferay Portal 7.2.0 - 7.2.1
  • Liferay Portal 7.3.0 - 7.3.7
  • Liferay Portal 7.4.0 - 7.4.2

Fixed Version(s)

There is no fix available for Liferay Portal 7.1, 7.2 and 7.3. Please upgrade to Liferay Portal 7.4.3.4.

Publication date: Wed, 19 Oct 2022 07:18:00 +0000

The security advisories on this page is for Liferay's open source projects (e.g., Liferay Portal). Security advisories for Liferay's enterprise offerings (e.g., Liferay DXP) are available in Help Center.